unit optionen;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls,inifiles;

type
  Toptionenform = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Bevel1: TBevel;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Label3: TLabel;
    Label4: TLabel;
    CheckBox1: TCheckBox;
    GroupBox2: TGroupBox;
    Edit4: TEdit;
    Edit5: TEdit;
    Edit6: TEdit;
    Edit7: TEdit;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Edit8: TEdit;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    procedure CheckBox1Click(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Edit2Change(Sender: TObject);
    procedure Edit3Change(Sender: TObject);
    procedure Edit4Change(Sender: TObject);
    procedure Edit5Change(Sender: TObject);
    procedure Edit6Change(Sender: TObject);
    procedure Edit7Change(Sender: TObject);
    procedure Edit8Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  optionenform: Toptionenform;
  int2 : integer;

implementation

{$R *.DFM}

procedure Toptionenform.CheckBox1Click(Sender: TObject);
begin
  Groupbox2.visible:= NOT checkbox1.checked;
  checkbox2.visible := checkbox1.checked;
end;

procedure Toptionenform.Edit1Change(Sender: TObject);
var int1: integer;
begin
  for int1 := 1 to length(edit1.text) do if NOT (edit1.text[int1] IN ['0'..'9','-',',']) then edit1.text:= '0';
  if strtofloat(edit2.text) < strtofloat(edit1.text) then edit1.text := edit2.text;
end;

procedure Toptionenform.Edit2Change(Sender: TObject);
var int1: integer;
begin
    for int1 := 1 to length(edit2.text) do if NOT (edit2.text[int1] IN ['0'..'9','-',',']) then edit2.text:= '0';
    if strtofloat(edit2.text) < strtofloat(edit1.text) then edit2.text := edit1.text;
end;

procedure Toptionenform.Edit3Change(Sender: TObject);
var int1: integer;
begin
    val(edit3.text,int1,int2);
    if int1 < -20 then int1 := -20;
    if int1 > -1 then int1 := -1;
    edit3.text:= inttostr(int1);
end;

procedure Toptionenform.Edit4Change(Sender: TObject);
var int1: integer;
begin
  try
    val(edit4.text,int1,int2);
    if int1 > strtoint(edit5.text) then int1 := strtoint(edit5.text)-1;
    edit4.text:= inttostr(int1);
  finally end;
end;

procedure Toptionenform.Edit5Change(Sender: TObject);
var int1: integer;
begin
  try
    val(edit5.text,int1,int2);
    if int1 < strtoint(edit4.text) then int1 := strtoint(edit4.text)+1;
    edit5.text:= inttostr(int1);
  finally end;
end;

procedure Toptionenform.Edit6Change(Sender: TObject);
var int1: integer;
begin
  try
    val(edit6.text,int1,int2);
    if int1 > strtoint(edit7.text) then int1 := strtoint(edit7.text)-1;
    edit6.text:= inttostr(int1);
  finally end;
end;

procedure Toptionenform.Edit7Change(Sender: TObject);
var int1: integer;
begin
  try
    val(edit7.text,int1,int2);
    if int1 < strtoint(edit6.text) then int1 := strtoint(edit6.text)+1;
    edit7.text:= inttostr(int1);
  finally end;
end;

procedure Toptionenform.Edit8Change(Sender: TObject);
var int1: integer;
begin
  for int1 := 1 to length(edit8.text) do if NOT (edit8.text[int1] IN ['0'..'9','-',',']) then edit8.text:= '0';
end;

procedure Toptionenform.FormCreate(Sender: TObject);
var f : Tinifile;
begin
   f := Tinifile.Create('kurvend.ini');
   optionenform.edit1.text := f.readstring('','von','-100');
   optionenform.edit2.text := f.readstring('','bis','100');
   optionenform.checkbox1.checked:= f.readBool('','autozoom',False);
   optionenform.checkbox2.checked:= f.readBool('','Mitte',False);
   optionenform.checkbox3.checked:= f.readBool('','ratio',False);
   optionenform.edit3.text := f.readstring('','genauigkeit 10^-','8');
   optionenform.edit4.text := f.readstring('','xmin','-10');
   optionenform.edit5.text := f.readstring('','xmax','10');
   optionenform.edit6.text := f.readstring('','ymin','-10');
   optionenform.edit7.text := f.readstring('','ymax','10');
   optionenform.edit8.text := f.readstring('','schrittweite','1');
   f.free;
end;

end.
