
(* 'CalcDecMod' steuert die Variablen-Verarbeitung des Compilers. Zeichen-
    folgen im Ausdruck, die nicht als reservierte Symbole identifiziert
    werden koennen, werden entsprechend 'CalcDecMod' folgendermasen be-
    handelt:
    = FALSE: die Zeichenfolge wird als Variable interpretiert, in die zum
             Ausdruck gehoerende Variablen-Tabelle uebernommen (wenn noch
             nicht vorhanden) und entsprechend behandelt.
    = TRUE : es werden nur Zeichenfolgen als Variablen akzeptiert, die
             schon vor dem Uebersetzen in der Variablen-Tabelle vorhanden
             waren.
    Sinn und Zweck des Ganzen ist dem Begleitartikel zu entnehmen!         *)

    CalcDecMod : BOOLEAN;

(* 'CalcResult = FALSE' zeigt an, dass bei der Verarbeitung des Ausdrucks
    (Uebersetzung oder Auswertung) irgend etwas schief gelaufen ist!       *)

    CalcResult : BOOLEAN;

CONST Calc_Ids : ARRAY [Calc_Symbols] OF Calc_IdStr =
                   ('ERR', ';', 'CONST', 'VAR', 'PI', 'E', '(', ')', 'NEG',
                    '+', '-', '*', '/', 'DIV', 'MOD', 'GGT', 'KGV', '^',
                    'SQR', 'SQRT', 'EXP', 'LN', 'LG', 'LD',
                    'SIN', 'COS', 'TAN', 'COT',
                    'ARCSIN', 'ARCCOS', 'ARCTAN', 'ARCCOT',
                    'SINH', 'COSH', 'TANH', 'COTH',
                    'ARSINH', 'ARCOSH', 'ARTANH', 'ARCOTH',
                    'INT', 'SIGN',
                    'ABS', 'DEG', 'RAD', 'REZ', 'FAK', '@end@');
